#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

"""Do something for uninstalling the syslogsrv package."""

import os

import ionas.request as request
from product_conf import (LIBEXEC_DIR, STOR_IF_TO_VOL, )
from fal_info import (ReqTypes,)

import manualctrl


HANDLER_FOR_SYSLOGSRV = os.path.join(LIBEXEC_DIR, "evh", "evh_syslogsrv.py")
INTERNAL_VOL = STOR_IF_TO_VOL["internal"][1]

UNMOUNT_EVENT_XML = '<events><eventinfo category="volume" ' + \
                                'action="unmount" previous="true">' + \
                    '<volume><name>' + INTERNAL_VOL + '</name></volume>' + \
                    '</eventinfo></events>'


def __send_request(target, type, body):
    """Send request entry to "target"."""

    entry = request.Entry(type, body)
    return request.Request(target).request(entry).get_entry()


def delete_from_syslog_conf():
    """Delete configuration for syslogsrv package."""

    __send_request(HANDLER_FOR_SYSLOGSRV, ReqTypes.EVENT, UNMOUNT_EVENT_XML)


#
# Main
#

delete_from_syslog_conf()
manualctrl.uninstall()
